Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 14-01-2021 17:12:12

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Installation HP ENVY Photo 7830

Bonjour
J'ai installé une imprimante HP Envy Photo 7830 en installant libsane-hpaio. Apparemment depuis la dernière mise à jour mon imprimante n'est plus reconnu par debian buster.
Je ne vois pas du tout comment faire si quelqu'un pouvait m'aide????

Hors ligne

#2 14-01-2021 19:42:07

cyrille
Adhérent(e)
Distrib. : SID + FreeBSD. Stable sur serveurs.
(G)UI : Xfce/Openbox
Inscription : 21-06-2020
Site Web

Re : Installation HP ENVY Photo 7830

SI avant ça marchait, tu peux toujours essayer de réinstaller la version précédente et de coller l'attribut hold dessus pour geler la mise à jour..

Dernière modification par cyrille (14-01-2021 19:42:18)


"Ils ne me comprennent point, je ne suis pas la bouche qu’il faut à ces oreilles."
== Ainsi parlait Zarathoustra. ==
=== Nietzsche ===

Hors ligne

#3 15-01-2021 14:00:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Bonjour,

syrtacus a écrit :

Apparemment depuis la dernière mise à jour mon imprimante n'est plus reconnue [...].


Quelle(s) mise(s) à jour ? Les paquets hplip datent de déc. 2018 et les paquets cups de nov. 2020.

lpinfo --make-and-model "7830" -m

lpinfo -v

grep MakeModel /etc/cups/printers.conf


Renseigneront sur la prise en charge et la configuration actuelle ; et ton bureau : toujours GNOME ?

Hors ligne

#4 15-01-2021 15:41:56

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

Je me suis rappelé aussi que j'ai du éteindre ma box pour un problème.
Est-ce que debian aurait pu "perdre" l'imprimante. Elle est branché en ethernet et quand je vais voir dans les imprimantes elle est bien là mais je veux imprimer quelque choses elle n'est plus dans les imprimantes proposé.

lpinfo --make-and-model "7830" -m
lpinfo: client-error-not-found
 


lpinfo -v
direct hp
network lpd
network socket
network beh
file cups-brf:/
serial serial:/dev/ttyS0?baud=115200
network ipp
network https
network http
network ipps
direct hpfax
network dnssd://HP%20ENVY%20Photo%207800%20series%20%5BC30F62%5D._ipp._tcp.local/?uuid=6a698e12-af30-5059-c86a-f8c691ae47c4
network dnssd://bbox%20Ippos%20Printer._ipp._tcp.local/
network socket://192.168.1.11:9100
network ipp://HPBCE92FC30F62.local:631/ipp/print
 


grep MakeModel /etc/cups/printers.conf
MakeModel Generic Text-Only Printer
MakeModel ENVY Photo 7800 series - IPP Everywhere
 


apt-cache policy libsane-hpaio
libsane-hpaio:
  Installé : 3.20.9+dfsg0-4~bpo10+1
  Candidat : 3.20.9+dfsg0-4~bpo10+1
 Table de version :
 *** 3.20.9+dfsg0-4~bpo10+1 100
        100 http://deb.debian.org/debian buster-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     3.18.12+dfsg0-2 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
     3.12.6-3.1+deb7u1 500
        500 http://archive.debian.org/debian wheezy/main amd64 P

Dernière modification par syrtacus (15-01-2021 15:47:58)

Hors ligne

#5 15-01-2021 16:46:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

syrtacus a écrit :

Elle est branchée en Ethernet et quand je vais voir dans les imprimantes elle est bien là mais [quand] je veux imprimer quelque chose elle n'est [pas] dans les imprimantes proposées.


Quel bureau ? Autant pour moi, pour la première commande. Il fallait saisir : "7800", et non "7830".

Les paquets hplip rétroportés datent d'oct. 2020. Ton modèle est pris en charge à partir de 3.17.9.

Dernière modification par èfpé (15-01-2021 18:16:42)

Hors ligne

#6 16-01-2021 16:07:29

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

root@sylvaindeb:~# lpinfo --make-and-model "7800" -m
gutenprint.5.3://escp2-cx7800/expert Epson Stylus CX7800 - CUPS+Gutenprint v5.3.1
escpr:0/cups/model/epson-inkjet-printer-escpr/Epson-Stylus_CX7800-epson-escpr-en.ppd Epson Stylus CX7800, Epson Inkjet Printer Driver (ESC/P-R) for Linux
gutenprint.5.3://escp2-7800/expert Epson Stylus Pro 7800 - CUPS+Gutenprint v5.3.1
hplip:0/ppd/hplip/HP/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
hplip:1/ppd/hplip/HP/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
hplip:2/ppd/hplip/HP/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
hplip:3/ppd/hplip/HP/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
hplip:4/ppd/hplip/HP/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
drv:///hpcups.drv/hp-envy_photo_7800_series.ppd HP Envy Photo 7800 Series, hpcups 3.20.9
hplip:0/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:1/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:2/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:3/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:4/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:5/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
hplip:6/ppd/hplip/HP/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
drv:///hpcups.drv/hp-photosmart_7800_series.ppd HP Photosmart 7800 Series, hpcups 3.20.9
everywhere IPP Everywhere
 

Hors ligne

#7 17-01-2021 14:06:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

en #5, èfpé a écrit :

Les paquets hplip rétroportés datent d'oct. 2020. Ton modèle est pris en charge à partir de 3.17.9.


Ceci dit, on s'en fiche puisque ton imprimante supporte l'impression sans pilote via IPP Everywhere :

en #4, syrtacus a écrit :

grep MakeModel /etc/cups/printers.conf

MakeModel ENVY Photo 7800 series - IPP Everywhere


En principe, une « file d'attente d'impression » a automatiquement été créée ; que retourne, donc :

lpstat -lte


As-tu déjà tenté, en GUI, de supprimer cette imprimante puis laisser cups-browsed la reconfigurer ?
Mais si cups-browsed ne fait plus (?) le job, tenter une configuration manuelle en GUI/CLI (cf. wiki) ?

Dernière modification par èfpé (17-01-2021 17:36:42)

Hors ligne

#8 17-01-2021 14:48:27

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

lpstat -lte
scheduler is running
no system default destination
matériel pour CUPS-BRF-Printer : cups-brf:/
CUPS-BRF-Printer accepte des requêtes depuis sam. 14 nov. 2020 14:56:53 CET
printer CUPS-BRF-Printer is idle.  enabled since sam. 14 nov. 2020 14:56:53 CET
  Form mounted:
  Content types: any
  Printer types: unknown
  Description: CUPS-BRF
  Alerts: none
  Location:
  Connection: direct
  Interface: /etc/cups/ppd/CUPS-BRF-Printer.ppd
  On fault: no alert
  After fault: continue
  Users allowed:
    (tous)
  Forms allowed:
    (aucun)
  Banner required
  Charset sets:
    (aucun)
  Default pitch:
  Default page size:
  Default port settings:
CUPS-BRF-Printer permanent ipp://localhost/printers/CUPS-BRF-Printer cups-br

Hors ligne

#9 17-01-2021 15:36:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

syrtacus a écrit :

lpstat -lte

matériel pour CUPS-BRF-Printer : cups-brf:/


CUPS-BRF (Virtual Braille BRF Printer) ne désigne pas une file d'attente d'impression réseau ; donc :

apt list --installed *cups*

service cups-browsed status


cat /etc/cups/printers.conf

cat /var/log/cups/error_log


Il ressort du retour de "lpinfo -v" que l'imprimante est découverte mais la file d'attente n'existe pas.

Dernière modification par èfpé (17-01-2021 22:36:42)

Hors ligne

#10 28-01-2021 15:08:43

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

Voila ce que me donne

service cups-browsed status
● cups-browsed.service - Make remote CUPS printers available locally
   Loaded: loaded (/lib/systemd/system/cups-browsed.service; enabled; vendor preset: enabled)
   Active: active (running) since Thu 2021-01-28 13:39:17 CET; 27min ago
 Main PID: 851 (cups-browsed)
    Tasks: 3 (limit: 4915)
   Memory: 4.9M
   CGroup: /system.slice/cups-browsed.service
           └─851 /usr/sbin/cups-browsed

janv. 28 13:39:17 sylvaindeb systemd[1]: Started Make remote CUPS printers availab



cat /etc/cups/printers.conf
# Printer configuration file for CUPS v2.2.10
# Written by cupsd
# DO NOT EDIT THIS FILE WHEN CUPSD IS RUNNING
<DefaultPrinter CUPS-BRF-Printer>
UUID urn:uuid:c58db429-a573-37aa-720c-544bb64a9d91
Info CUPS-BRF
MakeModel Generic Text-Only Printer
DeviceURI cups-brf:/
State Idle
StateTime 1605362213
ConfigTime 1605362213
Type 12292
Accepting Yes
Shared Yes
JobSheets none none
QuotaPeriod 0
PageLimit 0
KLimit 0
OpPolicy default
ErrorPolicy retry-job
</DefaultPrinter>
 


cat /var/log/cups/error_log
E [28/Jan/2021:13:58:13 +0100] HP_ENVY_Photo_7800_series_C30F62_: Unable to connect to HPBCE92FC30F62.local:631: Operation now in progress
E [28/Jan/2021:14:00:58 +0100] copy_model: empty PPD file
E [28/Jan/2021:14:00:58 +0100] [Client 41] Returning IPP server-error-internal-error for CUPS-Add-Modify-Printer (ipp://localhost/printers/ENVY-Photo-7800) from localhost.
E [28/Jan/2021:14:00:58 +0100] [CGI] Cannot connect to remote printer ipp://HPBCE92FC30F62.local:631/ipp/print (HPBCE92FC30F62.local:631)
E [28/Jan/2021:14:01:50 +0100] HP_ENVY_Photo_7800_series_C30F62_: Unable to connect to HPBCE92FC30F62.local:631: Operation now in progress
E [28/Jan/2021:14:05:39 +0100] HP_ENVY_Photo_7800_series_C30F62_: Unable to connect to HPBCE92FC30F62.local:631: Operation now in progress
 

Dernière modification par syrtacus (28-01-2021 15:12:10)

Hors ligne

#11 05-02-2021 15:51:31

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

èfpé a écrit :

Re-,

syrtacus a écrit :

lpstat -lte

matériel pour CUPS-BRF-Printer : cups-brf:/


CUPS-BRF (Virtual Braille BRF Printer) ne désigne pas une file d'attente d'impression réseau ; donc :

apt list --installed *cups*

service cups-browsed status


cat /etc/cups/printers.conf

cat /var/log/cups/error_log


Il ressort du retour de "lpinfo -v" que l'imprimante est découverte mais la file d'attente n'existe pas.





Que dois-je faire avec cette réponse???

Hors ligne

#12 05-02-2021 17:32:30

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Tumbleweed
Noyau : Linux 5.12
(G)UI : KDE 5.21.4
Inscription : 11-03-2016

Re : Installation HP ENVY Photo 7830

syrtacus a écrit :

Que dois-je faire avec cette réponse???


Tu dois faire chacune des commandes indiquée par èfpé (en utilisateur ou en root comme il l'a indiqué) et copier coller le retour de commande de chacune d'elles.

Hors ligne

#13 05-02-2021 19:48:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

chalu a écrit :

Tu dois faire chacune des commandes indiquées [...] et copier-coller le retour [...] de chacune d'elles.


C'est ce que syrtacus a en partie fait en #10, le journal des erreurs de CUPS nous montre le souci :

E [...] [Client 41] Returning IPP server-error-internal-error for CUPS-Add-Modify-Printer
  (ipp://localhost/printers/ENVY-Photo-7800) from localhost.
E [...] [CGI] Cannot connect to remote printer ipp://HPBCE92FC30F62.local:631/ipp/print (
  HPBCE92FC30F62.local:631)


Tenter la configuration manuelle (via l'interface web de CUPS, cf. wiki) d'une imprimante découverte ?

Hors ligne

#14 06-02-2021 12:44:34

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

apt list --installed *cups*
En train de lister... Fait
cups-browsed/stable,now 1.21.6-5 amd64  [installé, automatique]
cups-bsd/stable,now 2.2.10-6+deb10u4 amd64  [installé]
cups-client/stable,now 2.2.10-6+deb10u4 amd64  [installé]
cups-common/stable,now 2.2.10-6+deb10u4 all  [installé, automatique]
cups-core-drivers/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
cups-daemon/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
cups-filters-core-drivers/stable,now 1.21.6-5 amd64  [installé, automatique]
cups-filters/stable,now 1.21.6-5 amd64  [installé, automatique]
cups-ipp-utils/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
cups-pk-helper/stable,now 0.2.6-1+b1 amd64  [installé]
cups-ppdc/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
cups-server-common/stable,now 2.2.10-6+deb10u4 all  [installé, automatique]
cups/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
libcups2-dev/stable,now 2.2.10-6+deb10u4 amd64  [installé]
libcups2/stable,now 2.2.10-6+deb10u4 amd64  [installé, automatique]
libcupsfilters-dev/stable,now 1.21.6-5 amd64  [installé, automatique]
libcupsfilters1/stable,now 1.21.6-5 amd64  [installé, automatique]
libcupsimage2-dev/stable,now 2.2.10-6+deb10u4 amd64  [installé]
libcupsimage2/stable,now 2.2.10-6+deb10u4 amd64  [installé]
printer-driver-hpcups/buster-backports,now 3.20.9+dfsg0-4~bpo10+1 amd64  [installé, automatique]
python3-cups/stable,now 1.9.73-2+b1 amd64  [installé, automatique]
python3-cupshelpers/stable,now 1.5.11-4 all  [installé, automatique]
 



voila aussi ce que me donne cette commande :

apt-cache depends task-print-server
task-print-server
  Dépend: tasksel
  Dépend: cups
  Dépend: cups-client
  Dépend: cups-bsd
  Recommande: foomatic-db-engine
  Recommande: printer-driver-all
  Recommande: hplip
  Recommande: hp-ppd
  Recommande: openprinting-ppds
 



Et enfin cette commande :

/usr/sbin/lpinfo --make-and-model "7830" -m
lpinfo: client-error-not-found

Dernière modification par syrtacus (06-02-2021 12:46:50)

Hors ligne

#15 06-02-2021 13:20:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

èfpé a écrit :

Tenter la configuration manuelle (via l'interface web de CUPS, cf. wiki) d'une imprimante découverte ?


Je reformule... puisque la commande lpinfo montre des imprimantes « découvertes » sur le réseau :

network dnssd://HP%20ENVY%20Photo%207800%20series%20%5BC30F62%5D._ipp._tcp.local/?uuid=X
network dnssd://bbox%20Ippos%20Printer._ipp._tcp.local/


Il me paraîtrait plutôt légitime de tenter d'en ajouter une manuellement via l'interface web de CUPS :

Administration > Ajouter une imprimante > Imprimantes réseaux découvertes :
Administration > Trouver de nouvelles imprimantes > Imprimantes disponibles


Au choix, la première proposition produit le pendant graphique de la commande lpinfo (cf. post #4).

Dernière modification par èfpé (06-02-2021 19:20:42)

Hors ligne

#16 07-02-2021 16:07:57

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

Voila ce que me donne maintenant cette commande :

root@sylvaindeb:~# cat /var/log/cups/error_log
E [07/Feb/2021:14:36:25 +0100] [Client 20] pam_authenticate() returned 7 (Authentication failure)
E [07/Feb/2021:14:38:38 +0100] HP_ENVY_Photo_7800_series_C30F62_: Unable to connect to HPBCE92FC30F62.local:631: Operation now in progress
E [07/Feb/2021:15:03:39 +0100] HP_ENVY_Photo_7800_series_C30F62_: Unable to connect to HPBCE92FC30F62.local:631: Operation now in progress
 



J'ai tenté une installation par CUPS via mon naviguateur, je vois bien l'imprimante mais je n'arrive pas à imprimer.

system-config-printer
 


Avec cette commande mon imprimante est bien détecté mais pas moyen d'imprimer même une page de test.


gtklp


Idem avec cette commande l'imprimante est bien détecté mais rien ne s'imprime

Je n'ose pas tenter la troisième méthode en ligne de commande, j'ai peur que ça fasse un peu doublon.

Hors ligne

#17 07-02-2021 16:58:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

Re-,

syrtacus a écrit :

J'ai tenté une installation par CUPS via mon navigateur, je vois bien l'imprimante mais je n'arrive pas à imprimer.


Tes retours sont trop vagues, avant de passer la main, je te proposerais une session Live de DFiso.
Cela pourrait permettre de faire la part des choses : système propre, CUPS à jour et HPLIP 3.18.12.

Hors ligne

#18 08-02-2021 13:39:57

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : Installation HP ENVY Photo 7830

Bonjour
j'ai eu ce genre de souci sur une machine avec HP (c'est èfpé qui m'a aider lors de l'achat de l'imprimante )
lors de l'installation (ou mise a jour) des paquets HP il y a une mise a jour d une espèce de base de donner (tu le voit dans la console) qui ne fonctionnait pas pour moi sur cette machine (imprimante introuvable )
cette commande doit te donner un retour


lpinfo --make-and-model "8210" -m
postscript-hp:0/ppd/hplip/HP/hp-officejet_pro_8210-ps.ppd HP OfficeJet Pro 8210 Postscript (recommended)
everywhere IPP Everywhere
 



alors que toi aucun retour


lpinfo --make-and-model "7830" -m
lpinfo: client-error-not-found
 



ps: j'ai le même retour que toi pour "7830" puisque elle n'est pas installé chez moi

je pense que tester comme l'indique èfpé sur le #17 est une bonne idée
nota: je me souvient plus comment j'ai résolu le souci

je te met mon retour pour mon matériel


grep MakeModel /etc/cups/printers.conf
MakeModel HP OfficeJet Pro 8210 Postscript (recommended)
 



lpinfo -v
file cups-brf:/
network lpd
network ipp
network beh
network ipps
network socket
network http
network https
direct hp
serial serial:/dev/ttyS0?baud=115200
serial serial:/dev/ttyUSB0?baud=230400
direct hpfax
 



ici sur bulseye , mais j' imprime a partir de buster aussi


apt policy hplip
hplip:
  Installé : 3.20.11+dfsg0-1
  Candidat : 3.20.11+dfsg0-1
 Table de version :
 *** 3.20.11+dfsg0-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
        100 /var/lib/dpkg/status
 




apt policy libsane-hpaio
libsane-hpaio:
  Installé : 3.20.11+dfsg0-1
  Candidat : 3.20.11+dfsg0-1
 Table de version :
 *** 3.20.11+dfsg0-1 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
        100 /var/lib/dpkg/status
 



nota : j'utilise l'application "system-config-printer"  pour ajouter une imprimante , et elle est en IP fixe soit en dur sur l' imprimante , soit une réservation d' IP sur la box.
tu peu faire un ping de l' imprimante sur ton réseau local a partir d une machine


ping -c4 "tonIP"
 



tant que ceci ne renvoie rien tu pourra pas imprimer =>  "lpinfo --make-and-model "7830" -m

Hors ligne

#19 08-02-2021 14:17:39

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : Installation HP ENVY Photo 7830

re,
sous buster , une installation neuve de l'impression (mais debian buster ancienne et a jour )


Paramétrage de cups-filters-core-drivers (1.21.6-5) ...
Paramétrage de cups-daemon (2.2.10-6+deb10u4) ...
Created symlink /etc/systemd/system/multi-user.target.wants/cups.path → /lib/systemd/system/cups.path.
Created symlink /etc/systemd/system/printer.target.wants/cups.service → /lib/systemd/system/cups.service.
Created symlink /etc/systemd/system/sockets.target.wants/cups.socket → /lib/systemd/system/cups.socket.
Paramétrage de cups-filters (1.21.6-5) ...
Paramétrage de cups-browsed (1.21.6-5) ...
Created symlink /etc/systemd/system/multi-user.target.wants/cups-browsed.service → /lib/systemd/system/cups-browsed.service.
Paramétrage de cups-core-drivers (2.2.10-6+deb10u4) ...
Paramétrage de cups (2.2.10-6+deb10u4) ...
Updating PPD files for cups ...
Updating PPD files for cups-filters ...
Updating PPD files for gutenprint ...
Paramétrage de printer-driver-gutenprint (5.3.1-7) ...
Traitement des actions différées (« triggers ») pour systemd (241-7~deb10u6) ...


Paramétrage de printer-driver-hpcups (3.18.12+dfsg0-2) ...
Paramétrage de hplip (3.18.12+dfsg0-2) ...
Creating/updating hplip user account...
Traitement des actions différées (« triggers ») pour libc-bin (2.28-10) ...
Traitement des actions différées (« triggers ») pour man-db (2.8.5-2) ...
Traitement des actions différées (« triggers ») pour dbus (1.12.20-0+deb10u1) ...
Traitement des actions différées (« triggers ») pour cups (2.2.10-6+deb10u4) ...
Updating PPD files for hpcups ...
Updating PPD files for postscript-hp ...

 



ps: on voit bien les " Updating PPD files"
soit tu utilise avahi daemon (détection auto ) soit "rechercher une imprimante" et je rentre son IP (j' utilise cette méthode) a partir de "system-config-printer"
sous buster ça donne


apt policy hplip
hplip:
  Installé : 3.18.12+dfsg0-2
  Candidat : 3.18.12+dfsg0-2
 Table de version :
 *** 3.18.12+dfsg0-2 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
        100 /var/lib/dpkg/status
 



et


lpinfo --make-and-model "8210" -m
postscript-hp:0/ppd/hplip/HP/hp-officejet_pro_8210-ps.ppd HP OfficeJet Pro 8210 Postscript (recommended)
everywhere IPP Everywhere
 



grep MakeModel /etc/cups/printers.conf
MakeModel HP OfficeJet Pro 8210 Postscript (recommended)
 



je sais pas si un bon conseil , purger tous et refaire quelque chose de propre pour l' impression
ps: j' ai installé "cups" et "system-config-printer"
et ensuite le paquet "hplip"

Dernière modification par robert2a (08-02-2021 14:19:16)

Hors ligne

#20 08-02-2021 16:00:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

message à supprimer

Dernière modification par èfpé (08-04-2021 21:00:42)

Hors ligne

#21 08-02-2021 18:38:52

robert2a
Membre
Distrib. : debian 11
(G)UI : Mate
Inscription : 15-11-2014

Re : Installation HP ENVY Photo 7830

modifier :

je suis hors sujet , a priori un souci de connexion réseau , désolé  hmm
ps: au départ pas vue imprimante "multi-fonction" et "wifi" / "usb"

Dernière modification par robert2a (08-02-2021 20:54:42)

Hors ligne

#22 08-02-2021 19:14:42

èfpé
Membre
Inscription : 10-07-2016

Re : Installation HP ENVY Photo 7830

message à supprimer

Dernière modification par èfpé (08-04-2021 19:14:42)

Hors ligne

#23 10-02-2021 17:02:29

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

Voila je ne sais pas trop si c'est ça qui a résolu le problème mais j'ai supprimé hplip

apt autoremove hplip



apt policy hplip
hplip:
  Installé : (aucun)
  Candidat : 3.18.12+dfsg0-2
 Table de version :
     3.20.9+dfsg0-4~bpo10+1 100
        100 http://deb.debian.org/debian buster-backports/main amd64 Packages
        100 /var/lib/dpkg/status
     3.18.12+dfsg0-2 500
        500 http://deb.debian.org/debian buster/main amd64 Packages
     3.12.6-3.1+deb7u1 500
        500 http://archive.debian.org/debian wheezy/main amd64 P




Là j'ai réussi a imprimer un document. Idem pour la numérisation.

Hors ligne

#24 13-02-2021 15:14:30

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

Finalement après avoir éteint mon pc et l'avoir redémarrer quelques jours après impossible d'imprimer quoi que ce soit!!!! J'y comprends rien!!!!

Hors ligne

#25 19-02-2021 14:58:20

syrtacus
Membre
Distrib. : debian stretch
Noyau : Linux 4.9.0-9-amd64
(G)UI : gnome
Inscription : 28-08-2019

Re : Installation HP ENVY Photo 7830

voice ce que me donne la commande hp-setup en utilisateur et en root.


hp-setup

HP Linux Imaging and Printing System (ver. 3.20.9)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Warning: Ignoring XDG_SESSION_TYPE=wayland on Gnome. Use QT_QPA_PLATFORM=wayland to run on Wayland anyway.
Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
error: No devices found on bus: net
error:  HPLIP cannot detect printers in your network.  This may be due to existing firewall settings blocking the required ports.
                When you are in a trusted network environment, you may open the ports for network services like mdns and slp in the firewall. For detailed steps follow the link.
                 http://hplipopensource.com/node/374  



hp-setup

HP Linux Imaging and Printing System (ver. 3.20.9)
Printer/Fax Setup Utility ver. 9.0

Copyright (c) 2001-18 HP Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

warning: No display found.
error: hp-setup requires GUI support (try running with --qt3). Also, try using interactive (-i) mode.
 

Hors ligne

Pied de page des forums